## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanMemMgrAutoPtrArray Class Template Reference

`#include <XalanMemMgrAutoPtr.hpp>`

Collaboration diagram for XalanMemMgrAutoPtrArray:

[legend]
List of all members.

## Public Types

- typedef size_t size_type

## Public Methods

- XalanMemMgrAutoPtrArray (MemoryManager &theManager, Type *ptr, size_type size)
- XalanMemMgrAutoPtrArray ()
- XalanMemMgrAutoPtrArray (const XalanMemMgrAutoPtrArray< Type > &theSource)
- XalanMemMgrAutoPtrArray<Type>& operator= (XalanMemMgrAutoPtrArray< Type > &theRHS)
- ~XalanMemMgrAutoPtrArray ()
- Type& operator * () const
- Type* operator-> () const
- Type* get () const
- size_type getSize () const
- MemoryManager* getMemoryManager ()
- const MemoryManager* getMemoryManager () const
- XalanMemMgrAutoPtrArray<Type>& operator++ ()
- MemMgrAutoPtrArrayData release ()
- Type* releasePtr ()
- void reset (MemoryManager *theManager=0, Type *thePointer=0, size_type size=0)
- Type& operator[] (size_type index) const

### template<class Type> class XalanMemMgrAutoPtrArray

## Member Typedef Documentation

template<class Type>
typedef size_t XalanMemMgrAutoPtrArray<Type>::size_type

## Constructor & Destructor Documentation

template<class Type>
XalanMemMgrAutoPtrArray<Type>::XalanMemMgrAutoPtrArray<Type> ( | MemoryManager & theManager,
| Type * ptr,
| size_type size )

template<class Type>
XalanMemMgrAutoPtrArray<Type>::XalanMemMgrAutoPtrArray<Type> ( | )

template<class Type>
XalanMemMgrAutoPtrArray<Type>::XalanMemMgrAutoPtrArray<Type> ( | const XalanMemMgrAutoPtrArray< Type > & theSource )

template<class Type>
XalanMemMgrAutoPtrArray<Type>::~XalanMemMgrAutoPtrArray<Type> ( | )

## Member Function Documentation

template<class Type>
Type * XalanMemMgrAutoPtrArray<Type>::get ( | ) const

template<class Type>
const MemoryManager * XalanMemMgrAutoPtrArray<Type>::getMemoryManager ( | ) const

template<class Type>
MemoryManager * XalanMemMgrAutoPtrArray<Type>::getMemoryManager ( | )

template<class Type>
size_type XalanMemMgrAutoPtrArray<Type>::getSize ( | ) const

template<class Type>
Type & XalanMemMgrAutoPtrArray<Type>::operator * ( | ) const

template<class Type>
XalanMemMgrAutoPtrArray< Type > & XalanMemMgrAutoPtrArray<Type>::operator++<Type> ( | )

template<class Type>
Type * XalanMemMgrAutoPtrArray<Type>::operator-> ( | ) const

template<class Type>
XalanMemMgrAutoPtrArray< Type > & XalanMemMgrAutoPtrArray<Type>::operator=<Type> ( | XalanMemMgrAutoPtrArray< Type > & theRHS )

template<class Type>
Type & XalanMemMgrAutoPtrArray<Type>::operator[] ( | size_type index ) const

template<class Type>
MemMgrAutoPtrArrayData XalanMemMgrAutoPtrArray<Type>::release ( | )

template<class Type>
Type * XalanMemMgrAutoPtrArray<Type>::releasePtr ( | )

template<class Type>
void XalanMemMgrAutoPtrArray<Type>::reset ( | MemoryManager * theManager = 0,
| Type * thePointer = 0,
| size_type size = 0 )

The documentation for this class was generated from the following file:

- XalanMemMgrAutoPtr.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.